<?php
use \Model\ContactModel;

class Controller_ContactForm extends Controller {
    // https://cs.colostate.edu:4444/~brandtr/ct310/index/contactform
    public function action_index() {
        // GET the contact form and return it 
        return Response::forge(View::forge('contactviews/contactform.php'));
    }

    // When they submit the form it goes here
    public function post_index() {
        if (isset($_POST['name']) && isset($_POST['msg']) &&
            $_POST['name'] != '' && $_POST['msg'] != '') {
            $name = $_POST['name'];
            $msg = $_POST['msg'];
            // Call some function in the model to send the message
            $result = ContactModel::send_message($name, $msg);
            if ($result == true) {
                return Response::forge(View::forge('contactviews/success'));
            } else {
                return Response::forge(View::forge('contactviews/failure'));
            }
        } else {
            return Response::forge(View::forge('contactviews/contactform.php'));
        }
    }
}
?>